import Vue from 'vue'

import ajaxService from './ajax.service.js'
import CommonService from './common.service'
import UserService from './user.service'
import ProductService from './product.service'
import PayService from './pay.service'
import OrderService from './order.service'
import PublicService from './public.service.js'
import UploadService from './upload.service.js'
import SpecialService from './special.service.js'
import ProcurementService from './procurement.service.js'

let commonService = new CommonService(ajaxService)
let userService = new UserService(ajaxService)
let productService = new ProductService(ajaxService)
let payService = new PayService(ajaxService)
let orderService = new OrderService(ajaxService)
let publicService = new PublicService(ajaxService)
let uploadService = new UploadService(ajaxService)
let specialService = new SpecialService(ajaxService)
let procurementService = new ProcurementService(ajaxService)

Vue.prototype.AjaxService = ajaxService
Vue.prototype.CommonService = commonService
Vue.prototype.UserService = userService
Vue.prototype.ProductService = productService
Vue.prototype.PayService = payService
Vue.prototype.OrderService = orderService
Vue.prototype.PublicService = publicService
Vue.prototype.UploadService = uploadService
Vue.prototype.SpecialService = specialService
Vue.prototype.ProcurementService = procurementService
